package com.nisum.springbatchexample.entity;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name= "CUSTOMER")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Customer {
    @Id
    @Column(name="CUSTOMER_ID")
    private int id;
    @Column(name="NAME")
    private String name;
    @Column(name="EMAIL")
    private String email;
    @Column(name="GENDER")
    private String gender;
    @Column(name="CONTACT")
    private String contactNo;
    @Column(name="COUNTRY")
    private String country;
    @Column(name="DOB")
    private String dob;
}
